/*
 * Class SEQUENCE [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1775 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1775 [] = {0xFF01,1551,1774,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1775 [] = {0xFF01,1774,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1775 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1775 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1775 [] = {0xFF01,1774,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1775 [] = {0xFF01,1774,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1775 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1775 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1775 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1775 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1775 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1775 [] = {1774,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1775 [] = {0xFF01,1774,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1775 [] = {0xFF01,1758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1775 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1775 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1775 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1775 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1775[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1775), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1775), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1775), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1775), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1775), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1775), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1775), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1775), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1775), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1775), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1775), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1775), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1775), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1775), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8624, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1775), 8824, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1775), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8816, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1775), 8817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1775), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8820, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9270, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9025, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9271, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9272, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1775), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9267, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9085, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9268, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1775(void)
{
	IDSC(desc_1775, 0, 1774);
	IDSC(desc_1775 + 1, 1, 1774);
	IDSC(desc_1775 + 32, 1134, 1774);
	IDSC(desc_1775 + 41, 1444, 1774);
	IDSC(desc_1775 + 50, 1534, 1774);
	IDSC(desc_1775 + 57, 1135, 1774);
	IDSC(desc_1775 + 66, 1060, 1774);
	IDSC(desc_1775 + 72, 778, 1774);
	IDSC(desc_1775 + 73, 1245, 1774);
	IDSC(desc_1775 + 76, 387, 1774);
	IDSC(desc_1775 + 78, 554, 1774);
	IDSC(desc_1775 + 79, 878, 1774);
}


#ifdef __cplusplus
}
#endif
